> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Permissions for a Node

> Returns public keys that have access to the given Node.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public get /nodes/{id}/permissions
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /nodes/{id}/permissions:
    get:
      tags:
        - Node Permissions
      summary: List Permissions for a Node
      description: Returns public keys that have access to the given Node.
      parameters:
        - description: Node ID
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/permissions.Permission'
                type: array
          description: list of permissions
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: caller lacks deployment privileges
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: server error
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    permissions.Permission:
      properties:
        manage:
          type: boolean
        public_key:
          type: string
        read:
          type: boolean
        write:
          type: boolean
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````